#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( _tarball_content
    app.kcfg app.kdevelop apptdemdi.cpp apptdemdi.h apptdemdiView.cpp
    apptdemdiView.h INSTALL tdemdikonsole.cpp tdemdikonsole.h
    main.cpp messages.sh prefs.ui QUICKSTART README
    SConscript-doc SConscript-src SConstruct settings.kcfgc
    tips VERSION app_part.cpp app_part.h app_part.rc
    app_shell.rc
)
list( SORT _tarball_content )

tde_create_tarball(
  TARGET kscons_tdemdi.tar.gz
  FILES ${_tarball_content}
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kscons_tdemdi.tar.gz kscons_tdemdi.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


tde_create_translated_desktop(
  SOURCE kscons_tdemdi.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates
  KEYWORDS Category
  PO_DIR tdevelop-desktops
)
